summaryrefslogtreecommitdiff
path: root/bsp
diff options
context:
space:
mode:
authorNathaniel Graff <nathaniel.graff@sifive.com>2019-03-21 15:52:59 -0700
committerNathaniel Graff <nathaniel.graff@sifive.com>2019-03-25 09:51:47 -0700
commitee1c97640b56f1ba8e6d2a8f3e78958d44fc04e9 (patch)
tree12c36d64cb54d3e5239822df08fccafc10c22cdf /bsp
parent5b0e0189ab23e01b6d3597cede316328e6cd286b (diff)
Add option to not run fixup-dts to update-targets.sh
Signed-off-by: Nathaniel Graff <nathaniel.graff@sifive.com>
Diffstat (limited to 'bsp')
-rwxr-xr-xbsp/update-targets.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/bsp/update-targets.sh b/bsp/update-targets.sh
index 8533619..dca5340 100755
--- a/bsp/update-targets.sh
+++ b/bsp/update-targets.sh
@@ -13,10 +13,13 @@ EOF
unset DTSFILE
unset CUSTOM_PATH
unset CUSTOM_NAME
+unset NO_FIXUP
+NO_FIXUP=0
while [ "$1" != "" ]
do
case "$1" in
--help) help "$0"; exit 0;;
+ --no-fixup) NO_FIXUP=1; shift 1;;
--target-name) CUSTOM_NAME="$2"; shift 2;;
--sdk-path=*) CUSTOM_PATH="$(echo "$1" | cut -d= -f2-)"; shift 1;;
--sdk-path) CUSTOM_PATH="$2"; shift 2;;
@@ -70,7 +73,9 @@ update_target() {
echo "Updating target $TARGET"
- ../scripts/fixup-dts --dts $TARGET/$DTS_FILENAME || die "Failed to check $TARGET/$DTS_FILENAME for missing elements"
+ if [ $NO_FIXUP != 1 ]; then
+ ../scripts/fixup-dts --dts $TARGET/$DTS_FILENAME || die "Failed to check $TARGET/$DTS_FILENAME for missing elements"
+ fi
# Compile temporary .dtb
$DTC -I dts -O dtb -o $TARGET/$DTB_FILENAME $TARGET/$DTS_FILENAME || die "Failed to compile $TARGET/$DTS_FILENAME to dtb"